- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_Getopt_Value Union Reference
Ecore » Ecore Getopt

Union listing the types of parameters that can take Getopt values. More...

## Data Fields
char ** | strp
| String pointer.
unsigned char * | boolp
| Boolean pointer.
short * | shortp
| Short pointer.
int * | intp
| Int pointer.
long * | longp
| Long pointer.
unsigned short * | ushortp
| Unsigned short pointer.
unsigned int * | uintp
| Unsigned int pointer.
unsigned long * | ulongp
| Unsigned long pointer.
double * | doublep
| Double pointer.
Eina_List ** | listp
| List pointer.
void ** | ptrp
| Void pointer.

## Detailed Description

Union listing the types of parameters that can take Getopt values.

Examples:
  ecore_thread_example.c.